read.PMML {arules} | R Documentation

## Read and Write PMML

### Description

This function reads and writes PMML representations (version 4.1) of associations (itemsets and rules).

### Usage

    write.PMML(x, file)
    read.PMML(file)

### Arguments

`x` | a rules or itemsets object.
`file` | name of the PMML file (for read.PMML also a XML root node can be supplied).

### Details

Write delegates to package pmml.

### Author(s)

Michael Hahsler

### References

PMML home page: http://www.dmg.org

### See Also

`pmml`.

### Examples

    data("Groceries")

    rules <- apriori(Groceries, parameter=list(support=0.001))
    rules <- head(rules, by="lift")
    rules

    ### save rules as PMML
    write.PMML(rules, file = "rules.xml")

    ### read rules back
    rules2 <- read.PMML("rules.xml")
    rules2

    ### compare rules
    inspect(rules[1])
    inspect(rules2[1])

    ### clean up
    unlink("rules.xml")

[Package arules version 1.6-3 Index]